aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/obs/check_builders.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/obs/check_builders.sh')
-rwxr-xr-xscripts/obs/check_builders.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/obs/check_builders.sh b/scripts/obs/check_builders.sh
new file mode 100755
index 0000000..609c467
--- /dev/null
+++ b/scripts/obs/check_builders.sh
@@ -0,0 +1,11 @@
+#!/bin/sh -ex
+count=14
+wget -q https://obs.osmocom.org -O index.html
+
+if ! grep -q " of $count build hosts" index.html; then
+ grep "build hosts" index.html
+ set +x
+ echo
+ echo "ERROR: expected $count builders to be connected to OBS!"
+ echo
+fi